diff --git a/recipes/librealsense/librealsense2_2.36.0.bb b/recipes/librealsense/librealsense2_2.36.0.bb
index 75ebacb..540ae4f 100644
--- a/recipes/librealsense/librealsense2_2.36.0.bb
+++ b/recipes/librealsense/librealsense2_2.36.0.bb
@@ -7,7 +7,7 @@ LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/\
 ${LICENSE};md5=89aea4e17d99a7cacdbeed46a0096b10"
 
 inherit cmake pkgconfig
-SRC_URI = "git://github.com/IntelRealSense/librealsense.git;tag=v${PV}"
+SRC_URI = "git://github.com/IntelRealSense/librealsense.git;protocol=https;tag=v${PV}"
 
 S = "${WORKDIR}/git"
 
diff --git a/recipes/sensors/TDK/tdk-chx01-get-data-app/tdk-chx01-get-data-app.bb b/recipes/sensors/TDK/tdk-chx01-get-data-app/tdk-chx01-get-data-app.bb
index 028d1f5..6dbe470 100644
--- a/recipes/sensors/TDK/tdk-chx01-get-data-app/tdk-chx01-get-data-app.bb
+++ b/recipes/sensors/TDK/tdk-chx01-get-data-app/tdk-chx01-get-data-app.bb
@@ -7,7 +7,7 @@ LICENSE = "Apache-2.0"
 LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/${LICENSE};md5=89aea4e17d99a7cacdbeed46a0096b10"
 
 # Sources declaration
-SRC_URI = "git://github.com/InvenSenseInc/tdk_robotics_rbx_apps.git;protocol=git;nobranch=1"
+SRC_URI = "git://github.com/InvenSenseInc/tdk_robotics_rbx_apps.git;protocol=https;nobranch=1"
 # SRCREV = "${AUTOREV}"
 SRCREV = "TDK-Robotics-RB5-0.1-test3"
 SRC_URI[md5sum] = "4bccc33cf6f1435e378611a013f01dbe"
diff --git a/recipes/sensors/TDK/tdk-hvc4223f-scripts/tdk-hvc4223f-scripts.bb b/recipes/sensors/TDK/tdk-hvc4223f-scripts/tdk-hvc4223f-scripts.bb
index 552c0ce..51b89fc 100644
--- a/recipes/sensors/TDK/tdk-hvc4223f-scripts/tdk-hvc4223f-scripts.bb
+++ b/recipes/sensors/TDK/tdk-hvc4223f-scripts/tdk-hvc4223f-scripts.bb
@@ -6,7 +6,7 @@ LICENSE = "Apache-2.0"
 LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/${LICENSE};md5=89aea4e17d99a7cacdbeed46a0096b10"
 
 # Sources declaration
-SRC_URI = "git://github.com/InvenSenseInc/tdk_robotics_rbx_apps.git;protocol=git;nobranch=1"
+SRC_URI = "git://github.com/InvenSenseInc/tdk_robotics_rbx_apps.git;protocol=https;nobranch=1"
 # SRCREV = "${AUTOREV}"
 SRCREV = "TDK-Robotics-RB5-0.1-test3"
 SRC_URI[md5sum] = "4bccc33cf6f1435e378611a013f01dbe"
diff --git a/recipes/sensors/TDK/tdk-thermistor-app/tdk-thermistor-app.bb b/recipes/sensors/TDK/tdk-thermistor-app/tdk-thermistor-app.bb
index e932509..48e045b 100644
--- a/recipes/sensors/TDK/tdk-thermistor-app/tdk-thermistor-app.bb
+++ b/recipes/sensors/TDK/tdk-thermistor-app/tdk-thermistor-app.bb
@@ -7,7 +7,7 @@ LICENSE = "Apache-2.0"
 LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/${LICENSE};md5=89aea4e17d99a7cacdbeed46a0096b10"
 
 # Sources declaration
-SRC_URI = "git://github.com/InvenSenseInc/tdk_robotics_rbx_apps.git;protocol=git;nobranch=1"
+SRC_URI = "git://github.com/InvenSenseInc/tdk_robotics_rbx_apps.git;protocol=https;nobranch=1"
 # SRCREV = "${AUTOREV}"
 SRCREV = "TDK-Robotics-RB5-0.1-test3"
 SRC_URI[md5sum] = "4bccc33cf6f1435e378611a013f01dbe"
